View Issue Details

IDProjectCategoryView StatusLast Update
0005068mantisbtcustom fieldspublic2005-05-31 11:23
Reporterstevemagruder Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.2 
Target VersionFixed in Version1.0.0a1 
Summary0005068: Custom fields showing up unexpectedly while doing "Change Status to:"
Description

Custom fields that are set to "Display When Updating Issues" show up when I do a "Change Status to:" (like to acknowledged or assigned). I agree that this is technically an update, but it also doesn't make much sense, in that other standard fields aren't showing up. I don't think the custom fields are necessarily special enough to show up in any "Change Status to:" page.

It would make more sense if "updating" meant only going through the full record update of the issue (including all fields that are updateable), rather than doing a "Change Status to:".

There's already custom field settings of "Display When Resolving Issues" and "Display When Closing Issues" that differentiate from updating. Therefore, it would make to sense to further differentiate and have "Display When Acknowledging Issues", "Display When Assigning Issues", etc.

TagsNo tags attached.

Relationships

related to 0005527 closedthraxisp Acknowledgement does not work with custom fields 
related to 0005656 confirmed Change status to: 'page' not displaying the custom fields in it 

Activities

jleuzinger

jleuzinger

2005-01-25 04:54

reporter   ~0009091

This is also my opinion.
But keep the status quo of the two fields "Resolution" and "Fixed in version".
It is very useful to to display them when resolving or closing an issue.

stevemagruder

stevemagruder

2005-05-26 11:56

reporter   ~0010249

I'm reopening only to ask if 0005527 didn't reverse the fix for this one. Please tell me it didn't. I haven't had the time to upgrade lately, so I can't check it out myself.

thraxisp

thraxisp

2005-05-26 13:45

reporter   ~0010251

Partially. Only fields that are marked as required are displayed. (e.g. required on resolve fields will show up when you change the status to resolved).

stevemagruder

stevemagruder

2005-05-26 21:48

reporter   ~0010259

OK... I guess this is not an issue then. My concern was about "Display When..." Once I upgrade, I'll review how all this is working, and if I have any concerns then, I'll open a new issue. Thanks!

thraxisp

thraxisp

2005-05-27 07:52

reporter   ~0010260

User requested issue be closed.

Issue History

Date Modified Username Field Change
2005-01-05 13:38 stevemagruder New Issue
2005-01-25 04:54 jleuzinger Note Added: 0009091
2005-01-25 05:03 jleuzinger Sponsorship Added jleuzinger: US$ 5
2005-01-25 05:03 jleuzinger Sponsorship Total 0 => 5
2005-01-25 05:05 devanshu Sponsorship Added devanshu: US$ 5
2005-01-25 05:05 devanshu Sponsorship Total 5 => 10
2005-01-27 07:20 vboctor Status new => resolved
2005-01-27 07:20 vboctor Fixed in Version => 0.19.3
2005-01-27 07:20 vboctor Resolution open => fixed
2005-01-27 07:20 vboctor Assigned To => vboctor
2005-04-18 10:30 vboctor Status resolved => closed
2005-05-05 09:31 thraxisp Relationship added related to 0005527
2005-05-26 09:10 thraxisp Relationship added related to 0005656
2005-05-26 11:56 stevemagruder Status closed => feedback
2005-05-26 11:56 stevemagruder Resolution fixed => reopened
2005-05-26 11:56 stevemagruder Note Added: 0010249
2005-05-26 13:45 thraxisp Note Added: 0010251
2005-05-26 21:48 stevemagruder Note Added: 0010259
2005-05-27 07:52 thraxisp Status feedback => resolved
2005-05-27 07:52 thraxisp Resolution reopened => fixed
2005-05-27 07:52 thraxisp Note Added: 0010260
2005-05-31 11:23 vboctor Status resolved => closed